For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETReturns the information for all your created SMS campaigns
      • POSTCreates an SMS campaign
      • GETGet an SMS campaign
      • PUTUpdate an SMS campaign
      • DELDelete an SMS campaign
      • POSTSend your SMS campaign immediately
      • PUTUpdate a campaign's status
      • POSTSend a test SMS campaign
      • POSTExport an SMS campaign's recipients
      • POSTSend an SMS campaign's report
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsSMS Campaigns

Get an SMS campaign

GET
https://api.brevo.com/v3/smsCampaigns/:campaignId
GET
/v3/smsCampaigns/:campaignId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.smsCampaigns.getSmsCampaign(1);
8}
9main();
1{
2 "content": "Visit our Store and get some discount !",
3 "createdAt": "2017-06-01T12:30:00Z",
4 "id": 2,
5 "modifiedAt": "2017-05-01T12:30:00Z",
6 "name": "PROMO CODE",
7 "sender": "MyCompany",
8 "status": "sent",
9 "recipients": {
10 "exclusionLists": [
11 {
12 "id": 13,
13 "name": "Exclusion List"
14 }
15 ],
16 "lists": [
17 {
18 "id": 21,
19 "name": "Main List"
20 }
21 ]
22 },
23 "statistics": {
24 "answered": 2,
25 "delivered": 2987,
26 "hardBounces": 1,
27 "processing": 0,
28 "sent": 3000,
29 "softBounces": 3,
30 "unsubscriptions": 3
31 },
32 "organisationPrefix": "MyCompany",
33 "scheduledAt": "2017-06-01T12:30:00Z",
34 "sentDate": "2017-06-01T12:30:00Z",
35 "unsubscribeInstruction": "send Stop if you want to unsubscribe.",
36 "tags": []
37}

Retrieve detailed information about a specific SMS campaign by its ID, including campaign content, sender, recipients with list names, statistics (delivered, sent, bounces, unsubscriptions, answered), and tags. Unlike the list endpoint, recipients are returned as objects with id and name fields rather than plain IDs.

Was this page helpful?
Previous

Update an SMS campaign

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
id of the SMS campaign

Response

SMS campaign information
contentstring
Content of the SMS Campaign
createdAtstring

Creation UTC date-time of the SMS campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)

idlong
ID of the SMS Campaign
modifiedAtstring

UTC date-time of last modification of the SMS campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)

namestring
Name of the SMS Campaign
senderstring
Sender of the SMS Campaign
statusenum
Status of the SMS Campaign
recipientsobject
Recipients of the SMS campaign. For a single campaign, lists and exclusion lists are returned as objects with id and name.
statisticsobject
organisationPrefixstring
A recognizable prefix added as the Brand Name before the message content. Empty string if not set.
scheduledAtstring

UTC date-time on which SMS campaign is scheduled. Should be in YYYY-MM-DDTHH:mm:ss.SSSZ format. Empty string if not scheduled.

sentDatestring

UTC date-time on which the SMS campaign was sent (YYYY-MM-DDTHH:mm:ss.SSSZ). Only available if the campaign status is ‘sent’.

unsubscribeInstructionstring
Instructions to unsubscribe from future communications. Empty string if not set.
tagslist of strings

Tags (labels) associated with the SMS campaign. Only available when retrieving a single campaign.

Errors

400
Bad Request Error
404
Not Found Error